Account Inquiry Result Notification
- Endpoint:
POST /accountInquiryResultNotifyUrl - Tags: Indonesia SNAP/Disbursement
Description
You do not need to request this url. The following request.body is the callback content from PayerMax regarding the order status. Upon receiving a callback for any order status, you must respond with: {"msg": "Success","code": "SUCCESS"}. This response only acknowledges that the callback has been received.
Parameters
| Field | In | Type | Required | Constraints | Description |
|---|---|---|---|---|---|
Content-Type | header | string | Yes | Media type of the resource. | |
X-TIMESTAMP | header | string | Yes | Transaction date time, in format yyyy-MM-dd'T'HH:mm:ss.SSSXXX | |
X-SIGNATURE | header | string | Yes | Signature need to be verified | |
X-PARTNER-ID | header | string | Yes | Unique identifier for partner was generated by payermax, or known as clientId | |
X-EXTERNAL-ID | header | string | Yes | Unique messaging reference identifier and should be unique within the same day |
Parameter Examples
Content-Type:"application/json"X-TIMESTAMP:""X-SIGNATURE:""X-PARTNER-ID:""X-EXTERNAL-ID:""
Request Body
Required
Content-Type: application/json
| Field | Type | Required | Constraints | Description | Enum |
|---|---|---|---|---|---|
responseCode | string | Yes | Callback notification code, APPLY_SUCCESS means this is a valid callback. | ||
responseMessage | string | Yes | Callback notification description:Successful | ||
beneficiaryAccountName | string | No | maxLength: 512 | Payee full name. | |
beneficiaryAccountNumber | string | Yes | maxLength: 128 | Payee account, fill in the corresponding account number according to the payment method. | |
additionalInfo | object | Yes | |||
additionalInfo.isVirtualAccount | boolean | No | Whether it is a virtual account? true/false | ||
additionalInfo.status | string | Yes | maxLength: 32 | SUCCESS/INVALID_ACCOUNT_NUMBER/SUSPECTED_ACCOUNT/BLACK_LISTED/FAILED/CLOSED | |
partnerReferenceNo | string | Yes | maxLength: 64 | Merchant Order Id, a unique identifier for a merchant transaction, must not be duplicated and can only contain letters, numbers, and underlines. | |
referenceNo | string | Yes | PayerMax transaction serial Order Number. | ||
beneficiaryBankCode | string | Yes | maxLength: 64 | Target organization. |
Example
json
{
"beneficiaryAccountName": "TEST USER",
"beneficiaryAccountNumber": "1234567890",
"additionalInfo": {
"isVirtualAccount": false,
"status": "SUCCESS"
},
"partnerReferenceNo": "20260825152920150100122",
"referenceNo": "202608251221920150100123",
"beneficiaryBankCode": "BCA",
"responseCode": "APPLY_SUCCESS",
"responseMessage": "Successful"
}Responses
200
| Field | Type | Required | Constraints | Description | Enum |
|---|---|---|---|---|---|
msg | string | Yes | Response message. | ||
code | string | Yes | Response code. |
Response Example
json
{
"msg": "Success",
"code": "SUCCESS"
}